html {
    height: 100%;
}

body {
    margin: 0;
    height: 100%;
    font-family: 'Montserrat', sans-serif;
    background-color: #f3efef;
}

.content {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.v2c-logo-container {
    margin: 50px 0;
}

.v2c-logo {
    height: 39px;
    width: 91px;
}

.main-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 0 10px;
}

.title {
    font-size: 16px;
    text-align: center;
    margin-bottom: 10px;
}

.subtitle {
    font-size: 22px;
    text-align: center;
    margin-bottom: 5px;
}

.current-ts-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.current-ts-text {
    font-size: 12px;
    text-align: center;
    width: 60%;
    min-width: 150px;
}

.continue-btn {
    color: #fffffd;
    background-color: #888;
    font-size: 12px;
    font-weight: 600;
    padding: 14px;
    cursor: pointer;
    width: 75%;
    border: 1px solid #888;
    border-radius: 14px;
    text-align: center;
    margin-top: 15px;
}

.current-ts-separator {
    height: 1px;
    width: 55px;
    background-color: #888;
    margin-top: 30px;
}

.pay-btn {
    background-color: #0c0c0c;
    color: #fffffd;
    font-size: 12px;
    font-weight: 600;
    padding: 9px;
    cursor: pointer;
    width: 75%;
    border: 1px solid #0c0c0c;
    border-radius: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 30px;
}

.pay-btn-icon {
    display: block;
    height: 19px;
    margin-bottom: 5px;
    margin-right: 20px;
}

.app-btn {
    color: #0c0c0c;
    background-color: #f3efef;
    font-size: 12px;
    font-weight: 600;
    padding: 14px;
    cursor: pointer;
    width: 75%;
    border: 1px solid #0c0c0c;
    border-radius: 14px;
    text-align: center;
    margin-top: 15px;
}

.text-link {
    text-decoration: underline;
    margin-top: 25px;
    font-size: 12px;
    text-align: center;
    color: #444;
}

.download-title {
    font-size: 12px;
    text-align: center;
    color: #444;
    margin-bottom: 15px;
}

.store-links {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-bottom: 90px;
}

.store-link {
    border: 1px solid #ccc;
    padding: 14px;
    border-radius: 14px;
    width: 110px;
}

.store-logo {
    height: 24px;
    display: block;
    margin: auto;
}

.popup-app-error {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(calc(-50% - 15px), -50%);
    background-color: #fffffd;
    padding: 20px;
    border: 2px solid #0c0c0c;
    border-radius: 10px;
    z-index: 100;
    text-align: center;
    margin: 0px 15px;
    width: max-content;
    max-width: calc(100% - 30px);
    box-sizing: border-box;
}

.popup-app-error-btn {
    background-color: #0c0c0c;
    color: #fffffd;
    border: none;
    border-radius: 14px;
    padding: 12px;
    font-size: 14px;
    cursor: pointer;
}